Bug 656746 - RHN proxy 5.4: rhn_package_manager unable to upload packages due to md5sum error
RHN proxy 5.4: rhn_package_manager unable to upload packages due to md5sum error
Status: CLOSED ERRATA
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
: Regression
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-11-23 20:41 EST by Xixi
Modified: 2010-12-16 09:58 EST (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-proxy-1.2.2-6 rhnpush-5.5.4-2.1
Doc Type: Bug Fix
Doc Text:
Previously, package uploads from the rhn_package_manager tool failed on RHN Proxy Server 5.4 with the parent http://rhn.redhat.com/. With this update, the uploading process succeeds.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 09:58:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xixi 2010-11-23 20:41:46 EST
Description of problem:
After customer updates RHN Proxy server to version 5.4 the following occurs:

[root@cyclops RPMS]# rhn_package_manager -c i386-client-5.5 i686/kmod-openafs-*2.6.18-194.26.1*
Red Hat Network username: 
Red Hat Network password:

Error Message:
The package's md5 digest has not been specified
Error Class Code: 50
Error Class Info: Invalid information uploaded to the server
Explanation:
An error has occurred while processing your request. If this problem
persists please enter a bug report at bugzilla.redhat.com.
If you choose to submit the bug report, please be sure to include
details of what you were trying to do when this error occurred and
details on how to reproduce this problem.

However the openafs kmod packages were produced on a fully updated rhel5.5 system and the md5 digest exists in the rpm.

Version-Release number of selected component (if applicable):
5.4

How reproducible:
Always

Steps to Reproduce:
1. Install RHN Proxy 5.4 server, register against Hosted.
2. Try to upload custom pkg to custom channel (see example above).
3.
  
Actual results:
Failure. "The package's md5 digest has not been specified" error (see above)

Expected results:
Success with no errors.

Additional info:
This is not seen with RHN Proxy server against 5.4 Satellite.
Comment 3 Xixi 2010-11-23 21:32:22 EST
Additionally, if -v flag is used the actions fail even earlier.  Bug 656753 has been filed separately.
Comment 4 Miroslav Suchý 2010-12-03 09:58:24 EST
We do not send md5sum header. We now send checksum and checksum type, which hosted could not handle.
I override rhn_package_manager to send md5 checksum as well.

spacewalk commits
15913f7d50dbb31bbd7324826e07a298dee0cbb1
0bd1e3c9f36692613fc84a91ac2fdfa7ba996a77
Comment 5 Miroslav Suchý 2010-12-06 07:54:14 EST
cherrypicked to satellite.git as commits:
0182a2f6bc4ebe9e479ec3da2cbf481e64569217
c788d2e18c6bc86c575513bd4f56db67ce6b63a9
Comment 7 Eva Kopalova 2010-12-15 10:12:04 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, package uploads from the rhn_package_manager tool failed on RHN Proxy Server 5.4 with the parent http://rhn.redhat.com/. With this update, the uploading process succeeds.
Comment 9 errata-xmlrpc 2010-12-16 09:58:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0990.html

Note You need to log in before you can comment on or make changes to this bug.